<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">





    <!--
        <RelativeLayout

            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.xty.common.weight.CarBgView
                android:id="@+id/mParent"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <com.xty.common.weight.CardiographView
                android:id="@+id/cardiographView"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </RelativeLayout>
    -->

    <TextView
        android:id="@+id/mTvHistory"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:background="@drawable/shape_right_btn_bg"
        android:drawableLeft="@mipmap/ic_history_xd"

        android:drawablePadding="@dimen/dp_10"
        android:paddingLeft="@dimen/dp_20"
        android:paddingTop="@dimen/dp_10"
        android:paddingRight="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_10"
        android:text="@string/history_xd"
        android:textColor="@color/col_19a"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/mCost"
        android:layout_width="match_parent"
        android:overScrollMode="never"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mTvHistory">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/mTopView"
                android:layout_width="match_parent"
                android:paddingBottom="@dimen/dp_20"
                android:layout_height="wrap_content">

<!--                <TextView-->
<!--                    android:id="@+id/mTv1"-->
<!--                    android:layout_width="0dp"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="@dimen/dp_10"-->
<!--                    android:gravity="center"-->
<!--                    android:text="&#45;&#45;"-->
<!--                    android:textColor="@color/black"-->
<!--                    android:textSize="@dimen/dp_26"-->
<!--                    android:textStyle="bold"-->
<!--                    app:layout_constraintLeft_toLeftOf="parent"-->
<!--                    app:layout_constraintRight_toLeftOf="@+id/mTv2"-->
<!--                    app:layout_constraintTop_toTopOf="parent" />-->

<!--                <TextView-->
<!--                    android:id="@+id/mTv1B"-->
<!--                    android:layout_width="wrap_content"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="@dimen/dp_15"-->
<!--                    android:text="bpm"-->
<!--                    app:layout_constraintLeft_toLeftOf="@+id/mTv1"-->
<!--                    app:layout_constraintRight_toRightOf="@+id/mTv1"-->
<!--                    app:layout_constraintTop_toBottomOf="@+id/mTv1" />-->

<!--                <View-->
<!--                    android:layout_width="1dp"-->
<!--                    android:layout_height="0dp"-->
<!--                    android:layout_marginTop="@dimen/dp_10"-->
<!--                    android:layout_marginBottom="@dimen/dp_10"-->
<!--                    android:background="@color/col_e7e"-->
<!--                    app:layout_constraintBottom_toBottomOf="@+id/mTv1B"-->
<!--                    app:layout_constraintLeft_toRightOf="@+id/mTv1"-->
<!--                    app:layout_constraintRight_toLeftOf="@+id/mTv2"-->
<!--                    app:layout_constraintTop_toTopOf="@+id/mTv1" />-->

<!--                <TextView-->
<!--                    android:id="@+id/mTv2"-->
<!--                    android:layout_width="0dp"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="@dimen/dp_10"-->
<!--                    android:gravity="center"-->
<!--                    android:text="&#45;&#45;"-->
<!--                    android:textColor="@color/black"-->
<!--                    android:textSize="@dimen/dp_26"-->
<!--                    android:textStyle="bold"-->
<!--                    app:layout_constraintLeft_toRightOf="@+id/mTv1"-->
<!--                    app:layout_constraintRight_toLeftOf="@+id/mTv3"-->
<!--                    app:layout_constraintTop_toTopOf="parent" />-->

<!--                <TextView-->
<!--                    android:id="@+id/mTv2B"-->
<!--                    android:layout_width="wrap_content"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="@dimen/dp_15"-->
<!--                    android:text="HRV"-->
<!--                    app:layout_constraintLeft_toLeftOf="@+id/mTv2"-->
<!--                    app:layout_constraintRight_toRightOf="@+id/mTv2"-->
<!--                    app:layout_constraintTop_toBottomOf="@+id/mTv2" />-->

<!--                <View-->
<!--                    android:layout_width="1dp"-->
<!--                    android:layout_height="0dp"-->
<!--                    android:layout_marginTop="@dimen/dp_10"-->
<!--                    android:layout_marginBottom="@dimen/dp_10"-->
<!--                    android:background="@color/col_e7e"-->
<!--                    app:layout_constraintBottom_toBottomOf="@+id/mTv1B"-->
<!--                    app:layout_constraintLeft_toRightOf="@+id/mTv2"-->
<!--                    app:layout_constraintTop_toTopOf="@+id/mTv1" />-->

<!--                <TextView-->
<!--                    android:id="@+id/mTv3"-->
<!--                    android:layout_width="0dp"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="@dimen/dp_10"-->
<!--                    android:gravity="center"-->
<!--                    android:text="&#45;&#45;/&#45;&#45;"-->
<!--                    android:textColor="@color/black"-->
<!--                    android:textSize="@dimen/dp_26"-->
<!--                    android:textStyle="bold"-->
<!--                    app:layout_constraintLeft_toRightOf="@+id/mTv2"-->
<!--                    app:layout_constraintRight_toRightOf="parent"-->
<!--                    app:layout_constraintTop_toTopOf="parent" />-->

<!--                <TextView-->
<!--                    android:id="@+id/mTv3B"-->
<!--                    android:layout_width="wrap_content"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="@dimen/dp_15"-->
<!--                    android:text="mmHg"-->
<!--                    app:layout_constraintLeft_toLeftOf="@+id/mTv3"-->
<!--                    app:layout_constraintRight_toRightOf="@+id/mTv3"-->
<!--                    app:layout_constraintTop_toBottomOf="@+id/mTv3" />-->

                <TextView
                    android:id="@+id/mTv1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center"
                    android:text="--"
                    android:textColor="@color/black"
                    android:textSize="@dimen/dp_26"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toLeftOf="@+id/mTv3"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/mTv1B"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_15"
                    android:text="bpm"
                    app:layout_constraintLeft_toLeftOf="@+id/mTv1"
                    app:layout_constraintRight_toRightOf="@+id/mTv1"
                    app:layout_constraintTop_toBottomOf="@+id/mTv1" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="0dp"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@color/col_e7e"
                    app:layout_constraintBottom_toBottomOf="@+id/mTv1B"
                    app:layout_constraintLeft_toRightOf="@+id/mTv1"
                    app:layout_constraintRight_toLeftOf="@+id/mTv3"
                    app:layout_constraintTop_toTopOf="@+id/mTv1" />


                <TextView
                    android:id="@+id/mTv3"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center"
                    android:text="--/--"
                    android:textColor="@color/black"
                    android:textSize="@dimen/dp_26"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toRightOf="@+id/mTv1"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/mTv3B"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_15"
                    android:text="mmHg"
                    app:layout_constraintLeft_toLeftOf="@+id/mTv3"
                    app:layout_constraintRight_toRightOf="@+id/mTv3"
                    app:layout_constraintTop_toBottomOf="@+id/mTv3" />

                <TextView
                    android:id="@+id/mTvStatus"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_20"
                    android:layout_marginEnd="@dimen/dp_20"
                    android:layout_marginRight="@dimen/dp_30"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@drawable/shape_fall_bg"
                    android:drawableLeft="@mipmap/ic_fall_off"
                    android:paddingLeft="@dimen/dp_10"
                    android:paddingTop="@dimen/dp_5"
                    android:paddingRight="@dimen/dp_10"
                    android:paddingBottom="@dimen/dp_5"
                    android:text="@string/fall_off"
                    android:textColor="@color/white"
                    android:visibility="invisible"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/mTv1B" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <RelativeLayout
                android:id="@+id/mBitmap"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_250"
                android:layout_weight="5"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/mTvStatus">

                <com.xty.common.weight.CarBgView
                    android:id="@+id/mParent"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

                <com.xty.common.weight.CardiographView
                    android:id="@+id/cardiographView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />


            </RelativeLayout>


            <androidx.cardview.widget.CardView
                android:id="@+id/mCardView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_20"
                app:cardCornerRadius="@dimen/dp_10"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/mBitmap">


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:padding="@dimen/dp_10"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/mTv1B">

                    <LinearLayout
                        android:id="@+id/mLinInfo"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:text="增益:10mm/mv" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:text="走速:25mm/s" />
                    </LinearLayout>


                    <ProgressBar
                        android:id="@+id/mProgress"
                        style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/mLinInfo"
                        android:layout_marginTop="@dimen/dp_10"
                        android:max="100"
                        android:progress="0"
                        android:progressDrawable="@drawable/progress_bg" />
                </RelativeLayout>
            </androidx.cardview.widget.CardView>


            <TextView
                android:id="@+id/mStart"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_marginBottom="@dimen/dp_20"
                android:background="@drawable/shape_btn_select_bg"
                android:paddingLeft="@dimen/dp_20"
                android:paddingTop="@dimen/dp_8"
                android:paddingRight="@dimen/dp_20"
                android:paddingBottom="@dimen/dp_8"
                android:text="@string/start_test"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_20"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/mCardView" />

        </LinearLayout>


    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>

